Информация о выпуске Debian 9 (stretch) для архитектуры ARM EABI

Проект документации Debian

This document is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, version 2, as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

Текст лицензии также доступен на http://www.gnu.org/licenses/gpl-2.0.html и /usr/share/common-licenses/GPL-2 в Debian.


Содержание

1. Введение
1.1. Как сообщить об ошибке в этом документе
1.2. Предоставление отчёта об обновлении
1.3. Исходный текст этого документа
2. Что нового в Debian 9
2.1. Поддерживаемые архитектуры
2.2. Что нового в дистрибутиве?
2.2.1. Носители CD, DVD и BD
2.2.2. Безопасность
2.2.3. MariaDB заменяет MySQL
2.2.4. Улучшения API и разбивки архива
2.2.5. Новое зеркало deb.debian.org
2.2.6. Переход на "современный" вариант GnuPG
2.2.7. Новый архив для символов отладки
2.2.8. Новый способ именования сетевых интерфейсов
2.2.9. Новости Debian Med
2.2.10. Для Xorg-сервера более не требуются права суперпользователя
3. Система установки
3.1. Что нового в системе установки?
3.1.1. Основные изменения
3.1.2. Автоматизированная установка
4. Обновление с Debian 8 (jessie)
4.1. Подготовка к обновлению
4.1.1. Создание резервной копии всех данных и настроек
4.1.2. Предварительное информирование пользователей
4.1.3. Подготовка к перерыву в работе служб
4.1.4. Подготовка к восстановлению
4.1.5. Подготовка безопасного окружения для обновления
4.2. Проверка состояния системы
4.2.1. Просмотр отложенных действий менеджера пакетов
4.2.2. Отключение фиксации в APT
4.2.3. Проверка состояния пакетов
4.2.4. Секция proposed-updates
4.2.5. Неофициальные источники
4.3. Подготовка источников APT
4.3.1. Добавление интернет-источников в APT
4.3.2. Добавление локального зеркала в качестве источника APT
4.3.3. Добавление оптического носителя в качестве источника APT
4.4. Обновление пакетов
4.4.1. Запись сеанса
4.4.2. Обновление списка пакетов
4.4.3. Проверка доступного пространства для обновления
4.4.4. Минимальное обновление системы
4.4.5. Обновление системы
4.5. Возможные проблемы во время обновления
4.5.1. Dist-upgrade завершается с ошибкой «Could not perform immediate configuration»
4.5.2. Ожидаемые удаления
4.5.3. Конфликты или зацикливание в требованиях предварительной установки
4.5.4. Файловые конфликты
4.5.5. Изменение настроек
4.5.6. Изменение консоли сеанса
4.6. Обновление ядра и сопутствующих пакетов
4.6.1. Установка метапакета ядра
4.7. Подготовка к следующему выпуску
4.7.1. Вычистка удалённых пакетов
4.8. Устаревшие пакеты
4.8.1. Пакеты-пустышки
5. Что нужно знать о stretch
5.1. Конкретные шаги обновления для stretch
5.1.1. Отложенное монтирование /usr более не поддерживается
5.1.2. FTP-доступ к сопровождаемым Debian зеркалам будет прекращён
5.1.3. Заслуживающие внимания устаревшие пакеты
5.1.4. То, что следует сделать после обновления и до перезагрузки
5.1.5. Исполняемые файлы теперь компилируются по умолчанию с опцией позиционной независимости (PIE)
5.1.6. Большинство LSB-совместимых пакетов было удалено
5.2. Ограничения поддержки безопасности
5.2.1. Состояние безопасности веб-браузеров
5.2.2. Отсутствие поддержки безопасности экосистемы libv8 и Node.js
5.3. Проблемы с отдельными пакетами
5.3.1. Старые алгоритмы шифрования и протокол SSH1 по умолчанию отключены в OpenSSH
5.3.2. Изменения APT, которые возможно не поддерживают обратную совместимость
5.3.3. Настольные системы переходят на использование Xorg-драйвера libinput
5.3.4. Upstart удалён
5.3.5. HP mv2120
5.3.6. Инструмент debhelper теперь по умолчанию создаёт пакеты dbgsym
5.3.7. Изменения, связанные с OpenSSL
5.3.8. Изменения в Perl могут приводить к поломкам стороннего ПО
5.3.9. Несовместимость PostgreSQL PL/Perl
5.3.10. Пакет net-tools устарел и будет заменён на пакет iproute2
5.3.11. Рекомендуется использовать опцию монтирования _netdev при использовании AoE-устройств (ATA через локальную сеть)
5.3.12. Безвредные предупреждения вида «Unescaped ... in regex is deprecated, ...» во время обновления
5.3.13. Миграция хранилища правил SELinux
6. Дополнительная информация о Debian
6.1. Что ещё можно прочитать
6.2. Если нужна помощь
6.2.1. Списки рассылки
6.2.2. IRC
6.3. Как сообщить об ошибке
6.4. Как помочь Debian
A. Подготовка системы jessie к обновлению
A.1. Обновление системы jessie
A.2. Проверка списка источников APT
A.3. Удаление устаревших файлов настройки
A.4. Переход к использованию локалей с UTF-8
B. Люди, участвовавшие в создании информации о выпуске
Предметный указатель
Глоссарий